Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.soap
Class EntityPermissions

    java.lang.Object
      org.exist.soap.EntityPermissions

All Implemented Interfaces:
  java.io.Serializable

public class EntityPermissions
extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`EntityPermissions()`
`EntityPermissions(java.lang.String name, java.lang.String owner, java.lang.String group, int permissions)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`static org.apache.axis.encoding.Deserializer` | `getDeserializer(java.lang.String mechType, java.lang.Class _javaType, javax.xml.namespace.QName _xmlType)` Get Custom Deserializer
`java.lang.String` | `getGroup()` Gets the group value for this EntityPermissions.
`java.lang.String` | `getName()` Gets the name value for this EntityPermissions.
`java.lang.String` | `getOwner()` Gets the owner value for this EntityPermissions.
`int` | `getPermissions()` Gets the permissions value for this EntityPermissions.
`static org.apache.axis.encoding.Serializer` | `getSerializer(java.lang.String mechType, java.lang.Class _javaType, javax.xml.namespace.QName _xmlType)` Get Custom Serializer
`static org.apache.axis.description.TypeDesc` | `getTypeDesc()` Return type metadata object
`int` | `hashCode()`
`void` | `setGroup(java.lang.String group)` Sets the group value for this EntityPermissions.
`void` | `setName(java.lang.String name)` Sets the name value for this EntityPermissions.
`void` | `setOwner(java.lang.String owner)` Sets the owner value for this EntityPermissions.
`void` | `setPermissions(int permissions)` Sets the permissions value for this EntityPermissions.

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EntityPermissions

    public EntityPermissions()

### EntityPermissions

    public EntityPermissions(java.lang.String name,
                             java.lang.String owner,
                             java.lang.String group,
                             int permissions)

Method Detail

### getName

    public java.lang.String getName()

  Gets the name value for this EntityPermissions.

  Returns:
    name

### setName

    public void setName(java.lang.String name)

  Sets the name value for this EntityPermissions.

  Parameters:
    `name` -

### getOwner

    public java.lang.String getOwner()

  Gets the owner value for this EntityPermissions.

  Returns:
    owner

### setOwner

    public void setOwner(java.lang.String owner)

  Sets the owner value for this EntityPermissions.

  Parameters:
    `owner` -

### getGroup

    public java.lang.String getGroup()

  Gets the group value for this EntityPermissions.

  Returns:
    group

### setGroup

    public void setGroup(java.lang.String group)

  Sets the group value for this EntityPermissions.

  Parameters:
    `group` -

### getPermissions

    public int getPermissions()

  Gets the permissions value for this EntityPermissions.

  Returns:
    permissions

### setPermissions

    public void setPermissions(int permissions)

  Sets the permissions value for this EntityPermissions.

  Parameters:
    `permissions` -

### equals

    public boolean equals(java.lang.Object obj)

### hashCode

    public int hashCode()

### getTypeDesc

    public static org.apache.axis.description.TypeDesc getTypeDesc()

  Return type metadata object

### getSerializer

    public static org.apache.axis.encoding.Serializer getSerializer(java.lang.String mechType,
                                                                    java.lang.Class _javaType,
                                                                    javax.xml.namespace.QName _xmlType)

  Get Custom Serializer

### getDeserializer

    public static org.apache.axis.encoding.Deserializer getDeserializer(java.lang.String mechType,
                                                                        java.lang.Class _javaType,
                                                                        javax.xml.namespace.QName _xmlType)

  Get Custom Deserializer

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.